Bug 519218 - cannot shrink hfs+ partition
Summary: cannot shrink hfs+ partition
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: ppc64
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-25 17:05 UTC by John Reiser
Modified: 2013-02-07 15:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-07 15:18:04 UTC


Attachments (Terms of Use)
anaconda debug traceback (110.53 KB, text/plain)
2009-08-25 17:05 UTC, John Reiser
no flags Details
output from "parted /dev/sda; print" (746 bytes, text/plain)
2009-08-25 17:06 UTC, John Reiser
no flags Details
/tmp/storage.log (26.84 KB, text/plain)
2009-08-25 17:08 UTC, John Reiser
no flags Details
traceback "CreateException: Can't have the end before the start!" (80.99 KB, text/plain)
2009-09-11 18:05 UTC, John Reiser
no flags Details

Description John Reiser 2009-08-25 17:05:06 UTC
Created attachment 358604 [details]
anaconda debug traceback

Description of problem: Asking to shrink an hfs+ partition (Apple iMac G5) gets an anaconda exception and traceback.


Version-Release number of selected component (if applicable):
anaconda-12.15 on Fedora-12-Alpha-ppc-DVD.iso

How reproducible: always


Steps to Reproduce:
1. Select Custom layout, select hfs+ partition (MacOS X), choose Edit, click resize
2. Enter 112083 [MB] for new size; old size was 132102 [20019 MB more].
3. Click OK
  
Actual results: anaconda exception and traceback.  CreateException: Can't have the end before the start!



Expected results: no problem


Additional info:

Comment 1 John Reiser 2009-08-25 17:06:52 UTC
Created attachment 358605 [details]
output from "parted /dev/sda; print"

Comment 2 John Reiser 2009-08-25 17:08:02 UTC
Created attachment 358606 [details]
/tmp/storage.log

Comment 3 David Cantrell 2009-08-26 19:15:29 UTC
We can resize HFS+ under certain conditions, but not all.  I think the problem you're seeing is just use not having filled in the gaps in the code to support what resizing we can.  We need some bounds checking and a few other things, in order to resize HFS+.

When you edited the existing partition, was the Resize checkbox greyed out or enabled?  Was there an entry box next to it for a size that was enabled or greyed out?

Comment 4 John Reiser 2009-08-26 21:02:50 UTC
Chosing "Create custom configuration" gives a divided bar graph of the partition layout (annotated), plus a row of buttons, plus a scrolling list box of partition info.  Selecting the proper partition by clicking Button1 on the  bar graph, then clicking the Edit button, gives a dialog:
   Edit Partition:  /dev/sda3
   Mount Point: {{grayed out box to right}}
   Original File System Label:  MACINTOSH_HD
   [ ] Resize          {{amount box with 0, grayed-out}}
   {{[ ] Encrypt  grayed-out}}
                     [Cancel] [OK]
where the checkbox for Resize is not checked, and both box and the Resize are active (black, not grayed-out.)

Checking the Resize box un-grays the amount box; the amount is "0" (zero).  Changing the amount to "112083" (the original size in the bar graph and list box was 132102) and clicking [OK] then gives the unexpected exception and traceback.

So, why is the default Reisze zero, instead of the current actual size 132102?  (See the attachment of output from parted for the actual layout.)

Comment 5 John Reiser 2009-09-11 18:05:08 UTC
Created attachment 360712 [details]
traceback "CreateException: Can't have the end before the start!"

Here's the simplest possible case: the existing Apple hfs+ partition which occupies nearly all of the single harddrive in the box, and the only harddrive in sight.

parted shows
-----
Disk /dev/sda: 60.0GB
Sector size (logical/physical): 512B/512B
Partition Table: gpt

Number  Start   End     Size    File system  Name                  Flags
 1      20.5kB  210MB   210MB   fat32        EFI System Partition  boot
 2      210MB   59.9GB  59.7GB  hfs+         Untitled
-----

Comment 6 Bug Zapper 2009-11-16 11:41:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2010-11-04 10:22:46 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Karsten Hopp 2013-02-07 15:18:04 UTC
AFAIK this is a F12 bug, I'm closing it.


Note You need to log in before you can comment on or make changes to this bug.